## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname ansible-compat
%global pkgname python-ansible-compat

%bcond_without tests

Name:    %{pkgname}
Version: 24.10.0
Release: %autorelease
Summary: Ansible python helper functions

URL:       https://github.com/ansible/ansible-compat
Source0:   %{url}/archive/refs/tags/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

License:   MIT
BuildArch: noarch

BuildRequires: pyproject-rpm-macros
BuildRequires: ansible-core

%if %{with tests}
BuildRequires: python3dist(flaky)
BuildRequires: python3dist(pytest)
BuildRequires: python3dist(pytest-mock)
%endif

%global common_description %{expand:
A python package containing functions that help interacting with
various versions of Ansible}

%description %{common_description}

%package -n python-%{srcname}-doc
Summary: %summary

%description -n python-%{srcname}-doc
Documentation for python-ansible-compat

%package -n python3-%{srcname}
Summary: %summary


%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=src sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files ansible_compat

%if %{with tests}
%check
%pytest -vv test -k \
    %{shrink:
        '
        not test_prepare_environment_with_collections
        and not test_prerun_reqs_v1
        and not test_prerun_reqs_v2
        and not test_install_collection_from_disk
        and not test_load_plugins
        and not test_require_collection
        and not test_install_collection_git
        and not test_runtime_has_playbook
        and not test_runtime_plugins
        and not test_runtime_scan_path
        '
    }
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE

%if %{with doc}
%files -n python-%{srcname}-doc
%license LICENSE
%doc *.rst
%doc html/
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 24.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 15 2024 Parag Nemade <pnemade AT redhat DOT com> - 24.10.0-2
- Disable test_load_plugins test as it requires network access

* Fri Nov 15 2024 Parag Nemade <pnemade AT redhat DOT com> - 24.10.0-1
- local build

* Thu Sep 26 2024 Parag Nemade <pnemade AT redhat DOT com> - 24.9.1-1
- local build

* Mon Sep 16 2024 Parag Nemade <pnemade AT redhat DOT com> - 24.9.0-1
- local build

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 13 2024 Parag Nemade <pnemade@fedoraproject.org> - 24.7.0-2
- Fix typo of missing %%%%changelog

* Sat Jul 13 2024 Parag Nemade <pnemade@fedoraproject.org> - 24.7.0-1
- Update to 24.7.0 release (#2269477)

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 4.1.11-2
- Rebuilt for Python 3.13

* Tue Feb 06 2024 Parag Nemade <pnemade@fedoraproject.org> - 4.1.11-1
- Update to 4.1.11 release (#2257742)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 12 2023 Parag Nemade <pnemade@fedoraproject.org> - 4.1.10-2
- Prevent running tests that are failing

* Mon Sep 18 2023 Parag Nemade <pnemade@fedoraproject.org> - 4.1.10-1
- local build

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 16 2023 Python Maint <python-maint@redhat.com> - 4.1.1-2
- Rebuilt for Python 3.12

* Tue May 30 2023 chedi toueiti <chedi.toueiti@gmail.com> - 4.1.1-1
- update to version 4.1.1 (#2209044)

* Tue May 16 2023 chedi toueiti <chedi.toueiti@gmail.com> - 4.0.4-1
- update to version 4.0.4 (#2186920)

* Wed Feb 08 2023 Parag Nemade <pnemade@fedoraproject.org> - 3.0.1-1
- Update to 3.0.1 release (rhbz#2166100)

* Wed Feb 08 2023 Maxwell G <gotmax@e.email> - 2.2.7-11
- Re-enable previously skipped tests

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Maxwell G <gotmax@e.email> - 2.2.7-9
- Use %%pyproject_save_files

* Thu Dec 15 2022 Maxwell G <gotmax@e.email> - 2.2.7-8
- Remove unnecessary %%py_provides call

* Thu Dec 15 2022 Maxwell G <gotmax@e.email> - 2.2.7-7
- Fix installation of test dependencies
- Add missing `%%if %%{with tests}`
- Don't use `%%pyproject_buildrequires -x testing`. There is no `testing`
  extra.

* Thu Dec 15 2022 Maxwell G <gotmax@e.email> - 2.2.7-6
- Simplify unit test running
- Use %%pytest macro
- Disable tests that require networking inline instead of using a patch
  that needs to be rebased after every update.

* Wed Dec 14 2022 Maxwell G <gotmax@e.email> - 2.2.7-5
- Remove manual requires that are already generated

* Wed Dec 14 2022 Maxwell G <gotmax@e.email> - 2.2.7-4
- Pass argument to %%pypi_source

* Wed Dec 14 2022 Maxwell G <gotmax@e.email> - 2.2.7-3
- Remove unnecessary %%{forgeurl} macro

* Wed Dec 14 2022 Maxwell G <gotmax@e.email> - 2.2.7-2
- Remove unnecessary %%forgemeta call

* Wed Dec 14 2022 Maxwell G <gotmax@e.email> - 2.2.7-1
- Update to 2.2.7. Fixes rhbz#2152372.

* Sat Dec 03 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.2.6-1
- update to version 2.2.6 (##2149906)

* Tue Nov 22 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.2.5-1
- update to version 2.2.5 (#2144102)

* Wed Nov 02 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.2.4-1
- update to version 2.2.4 (#2139252)

* Mon Oct 31 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.2.3-1
- update to version 2.2.3 (#2138930)

* Sat Sep 24 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.2.1-1
- Update to version 2.2.1 (#2129435)

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.1.0-5
- fixing the tests

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.1.0-4
- typo correction

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.1.0-3
- adding missing pytest build requirements

* Wed Jun 29 2022 chedi toueiti <chedi.toueiti@gmail.com> - 2.1.0-1
- update to 2.1.0

* Wed May 18 2022 Chedi Toueiti <chedi.toueiti@gmail.com> - 2.0.4-1
- update to version 2.0.4

* Wed May 18 2022 Chedi Toueiti <chedi.toueiti@gmail.com> - 2.0.3-1
- update to version 2.0.3

* Wed Mar 23 2022 Parag Nemade <pnemade@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2 version

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 chedi <chedi.toueiti@gmail.com> - 0.5.0-1
- initial commit
## END: Generated by rpmautospec
